Package be.vlaanderen.mercurius.mohm.common.v7

# Class ConsultSupportAndRepairResponseType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultSupportAndRepairResponseType extends Object implements Serializable
Groeperend element voor het antwoord op de vraag tot consultatie van het actief budget onderhoud en herstel van een bestaande aanvraag.

Java class for ConsultSupportAndRepairResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType" minOccurs="0"/>
             <choice>
               <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultSupportAndRepairAcceptedType"/>
               <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultSupportAndRepairNotAcceptedType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupportAndRepairResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultSupportAndRepairAcceptedType`
  `getAccepted()`
  Consultatie van het actieve budget onderthoud en herstel is goed ontvangen en antwoord bevat een beeld van dit budget.
  `ConsultSupportAndRepairNotAcceptedType`
  `getNotAccepted()`
  Consultatie van het actieve budget onderhoud en herstel is in fout gegaan en kan niet behandeld worden.
  `String`
  `getVSBReference()`
  De VSB-referentie is enkel ingevuld in het antwoord op de consultatie van onderhoud en herstel als de vraag tot consultatie succesvol was.
  `void`
  `setAccepted(ConsultSupportAndRepairAcceptedType value)`
  Sets the value of the accepted property.
  `void`
  `setNotAccepted(ConsultSupportAndRepairNotAcceptedType value)`
  Sets the value of the notAccepted property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupportAndRepairResponseType

    public ConsultSupportAndRepairResponseType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    De VSB-referentie is enkel ingevuld in het antwoord op de consultatie van onderhoud en herstel als de vraag tot consultatie succesvol was.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getNotAccepted

    public ConsultSupportAndRepairNotAcceptedType getNotAccepted()
    Consultatie van het actieve budget onderhoud en herstel is in fout gegaan en kan niet behandeld worden.
    Returns:
      possible object is `ConsultSupportAndRepairNotAcceptedType`

  - ### setNotAccepted

    public void setNotAccepted(ConsultSupportAndRepairNotAcceptedType value)
    Sets the value of the notAccepted property.
    Parameters:
      `value` - allowed object is `ConsultSupportAndRepairNotAcceptedType`
    See Also:
      - `getNotAccepted()`

  - ### getAccepted

    public ConsultSupportAndRepairAcceptedType getAccepted()
    Consultatie van het actieve budget onderthoud en herstel is goed ontvangen en antwoord bevat een beeld van dit budget.
    Returns:
      possible object is `ConsultSupportAndRepairAcceptedType`

  - ### setAccepted

    public void setAccepted(ConsultSupportAndRepairAcceptedType value)
    Sets the value of the accepted property.
    Parameters:
      `value` - allowed object is `ConsultSupportAndRepairAcceptedType`
    See Also:
      - `getAccepted()`